<bugID>601695<Summary>Paste &amp; Go should only appear when the clipboard is a URL</Summary><Description>Paste &amp; Go was implemented in bug 492544 in order to provide a convenient shortcut to cases where the user copied a link from another application and then put focus in the location bar. The deal was, though, that it was only supposed to show up when the clipboard contained a URL.

So we should make it work that way. :)

(Note: we could keep Paste &amp; Search for cases where it's not a URL, but I honestly don't think that should be a goal, either)</Description></bugID>